Bug 103412 - PCMCIA wireless adapter steals eth0
PCMCIA wireless adapter steals eth0
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel-pcmcia-cs (Show other bugs)
3.0
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-29 17:32 EDT by Mark Hokkanen
Modified: 2015-01-04 17:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:21:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Hokkanen 2003-08-29 17:32:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4b) Gecko/20030507

Description of problem:
I'm running this beta on a IBM thinkpad T23.  I ran a complete install (Taroon -
WS Beta 2).  I'm using the internal network adapter in addition to a Cisco
Aironet 350 PCMCIA wireless adapter.  

The install seems to have went fine.  I declared eth0 to be initialized on boot,
and to use DHCP.  The wireless adapter, eth1, was setup as disabled (as was
wifi0).  This is the beginning of the oddities.  eth1, and wifi0 should be the
same device.  I just have an integrated control, and the wireless device.  So my
expectation is that I should only see "eth0" and "wifi0", or "eth0" and "eth1".
 I don't expect to see all 3 during the install process.

When the machine boots, eth0 does get an address via DHCP, but there appears to
be a problem once the PCMCIA services load.  Once PCMCIA loads, eth0 becomes
unavailable.  Interface and routing tables look ok, but I get no connectivity. 
When looking at the ifconfig output, I see that eth0 has the same MAC address as
wifi0.  It's as if the PCMCIA drivers have ursurped control of eth0 away from my
internal adapter.

When I use the redhat-config-network utility to configure my network adapters, I
see 2 devices (eth0, and eth1).  I do not see those under ifconfig.  Under
ifconfig I only see eth0 and wifi0 (lo0 as well I suppose).  When I select the
hardware tab, it shows both devices (350 series wireless LAN adapter, 82801CAM
(ICH3) PRO/100 VE (LOM) Ethernet Controller), but they are both configured for
eth0.  At this point, /etc/modules.conf shows a device alias of "alias eth0
airo_cs".  

When I change the device for the 350 series wireless adapter (within the
utility) to use eth1, the redhat-config-network utility looks ok.  When I exit
the utility, and look at the /etc/modules.conf, there is no change.  The eth0
alias is still set to airo_cs.  I then re-load the utility and look at the
device again, and it is set back at eth0 (I did save the configuration before I
exited the utility).

If I manually edit /etc/modules.conf and change the alias for eth0 to look like
"alias eth0 eepro100", everything seems to work fine (after a reboot).  Eth0 is
allocated to the internal device, and the PCMCIA services then assign eth1 to
the wireless adapter (along with wifi0).  The kernel modules had to load for the
eepro100 adapter before, because eth0 was getting a dhcp address.  Do the PCMCIA
scripts require entries in the /etc/modules.conf file in order to determine
which adapters are available?  The PCMCIA services did not see such an entry
before i made the modules.conf change, so I think it stole eth0 since it wasn't
being used (in its estimation)?  The install process detected the internal
device, but an associated modules.conf entry was never put in place.

I would exect the install process to handle the proper modules.conf entries.  I
would also expect the redhat-config-network utility to handle that as well. 
Both failed in this case.


Version-Release number of selected component (if applicable):
redhat-config-network 1.2.56 and kernel-pcmcia-cs-3.1.31-13

How reproducible:
Always

Steps to Reproduce:
1. Install
2.   during install configure eth0 (dhcp, up)
3.   during install configure eth1 (disabled)
4.   during install configure wifi0 (disabled)
5. Reboot


Actual Results:  Onboard network interface is not available.  There is an eth0
that has aquired an IP address, but there's apparently a conflict with the
PCMCIA device.

Expected Results:  After initial boot after install, eth0 should work.  Eth1,
and wifi0 should be disabled.  Actually I would exect eth0 enabled and working,
with just a wifi0 being disabled ( I don't expect to see eth1 at all ).


Additional info:
Comment 1 Bill Nottingham 2003-08-29 18:27:26 EDT
Please post /etc/sysconfig/hwconf and /etc/sysconfig/network-scripts/ifcfg-*,
preferably after a fresh install,  if possible.
Comment 2 Mark Hokkanen 2003-09-02 13:37:57 EDT
I just finished the re-install.

/etc/sysconfig/hwconf:
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "Intel Corp.|82830 830 Chipset Host Bridge"
vendorId: 8086
deviceId: 3575
subVendorId: 1014
subDeviceId: 021d
pciType: 1
pcibus:  0
pcidev:  0
pcifn:  0
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "Intel Corp.|82830 830 Chipset AGP Bridge"
vendorId: 8086
deviceId: 3576
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcibus:  0
pcidev:  1
pcifn:  0
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "Intel Corp.|82801BAM/CAM PCI Bridge"
vendorId: 8086
deviceId: 2448
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcibus:  0
pcidev: 1e
pcifn:  0
-
class: OTHER
bus: PCI
detached: 0
driver: i810-tco
desc: "Intel Corp.|82801CAM ISA Bridge (LPC)"
vendorId: 8086
deviceId: 248c
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcibus:  0
pcidev: 1f
pcifn:  0
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "Intel Corp.|82801CA/CAM SMBus Controller"
vendorId: 8086
deviceId: 2483
subVendorId: 1014
subDeviceId: 0220
pciType: 1
pcibus:  0
pcidev: 1f
pcifn:  3
-
class: OTHER
bus: USB
detached: 0
driver: unknown
desc: "USB UHCI Root Hub"
usbclass: 9
usbsubclass: 0
usbprotocol: 0
usbbus: 1
usblevel: 0
usbport: 0
usbdev: 1
vendorId: 0000
deviceId: 0000
usbprod: USB UHCI Root Hub
-
class: OTHER
bus: USB
detached: 0
driver: unknown
desc: "USB UHCI Root Hub"
usbclass: 9
usbsubclass: 0
usbprotocol: 0
usbbus: 2
usblevel: 0
usbport: 0
usbdev: 1
vendorId: 0000
deviceId: 0000
usbprod: USB UHCI Root Hub
-
class: OTHER
bus: USB
detached: 0
driver: unknown
desc: "USB UHCI Root Hub"
usbclass: 9
usbsubclass: 0
usbprotocol: 0
usbbus: 3
usblevel: 0
usbport: 0
usbdev: 1
vendorId: 0000
deviceId: 0000
usbprod: USB UHCI Root Hub
-
class: NETWORK
bus: PCI
detached: 0
device: eth0
driver: e100
desc: "Intel Corp.|82801CAM (ICH3) PRO/100 VE (LOM) Ethernet Controller"
network.hwaddr: 00:D0:59:CA:86:59
vendorId: 8086
deviceId: 1031
subVendorId: 1014
subDeviceId: 0209
pciType: 1
pcibus:  2
pcidev:  8
pcifn:  0
-
class: MOUSE
bus: PSAUX
detached: 0
device: psaux
driver: genericps/2
desc: "Generic Mouse (PS/2)"
-
class: AUDIO
bus: PCI
detached: 0
driver: i810_audio
desc: "Intel Corp.|82801CA/CAM AC'97 Audio Controller"
vendorId: 8086
deviceId: 2485
subVendorId: 1014
subDeviceId: 0222
pciType: 1
pcibus:  0
pcidev: 1f
pcifn:  5
-
class: CDROM
bus: IDE
detached: 0
device: hdc
driver: ignore
desc: "HL-DT-STDVD-ROM GDR8081N"
-
class: MODEM
bus: PCI
detached: 0
driver: unknown
desc: "Lucent Microelectronics|WinModem 56k"
vendorId: 11c1
deviceId: 0449
subVendorId: 1468
subDeviceId: 0410
pciType: 1
pcibus:  2
pcidev:  2
pcifn:  0
-
class: VIDEO
bus: PCI
detached: 0
driver: Card:S3 Savage/IX
desc: "S3 Inc.|SuperSavage IX/C SDR"
vendorId: 5333
deviceId: 8c2e
subVendorId: 1014
subDeviceId: 01fc
pciType: 1
pcibus:  1
pcidev:  0
pcifn:  0
-
class: FLOPPY
bus: MISC
detached: 1
device: fd0
driver: unknown
desc: "3.5" 1.44MB floppy drive"
-
class: HD
bus: IDE
detached: 0
device: hda
driver: ignore
desc: "IC25N040ATCS04-0"
physical: 77520/16/63
logical: 5168/240/63
-
class: USB
bus: PCI
detached: 0
driver: usb-uhci
desc: "Intel Corp.|82801CA/CAM USB (Hub #1)"
vendorId: 8086
deviceId: 2482
subVendorId: 1014
subDeviceId: 0220
pciType: 1
pcibus:  0
pcidev: 1d
pcifn:  0
-
class: USB
bus: PCI
detached: 0
driver: usb-uhci
desc: "Intel Corp.|82801CA/CAM USB (Hub #2)"
vendorId: 8086
deviceId: 2484
subVendorId: 1014
subDeviceId: 0220
pciType: 1
pcibus:  0
pcidev: 1d
pcifn:  1
-
class: USB
bus: PCI
detached: 0
driver: usb-uhci
desc: "Intel Corp.|82801CA/CAM USB (Hub #3)"
vendorId: 8086
deviceId: 2487
subVendorId: 1014
subDeviceId: 0220
pciType: 1
pcibus:  0
pcidev: 1d
pcifn:  2
-
class: SOCKET
bus: PCI
detached: 0
driver: yenta_socket
desc: "Texas Instruments|PCI1420"
vendorId: 104c
deviceId: ac51
subVendorId: 1014
subDeviceId: 023b
pciType: 1
pcibus:  2
pcidev:  0
pcifn:  0
-
class: SOCKET
bus: PCI
detached: 0
driver: yenta_socket
desc: "Texas Instruments|PCI1420"
vendorId: 104c
deviceId: ac51
subVendorId: 1014
subDeviceId: 023b
pciType: 1
pcibus:  2
pcidev:  0
pcifn:  1
-
class: IDE
bus: PCI
detached: 0
driver: unknown
desc: "Intel Corp.|82801CAM IDE U100"
vendorId: 8086
deviceId: 248a
subVendorId: 1014
subDeviceId: 0220
pciType: 1
pcibus:  0
pcidev: 1f
pcifn:  1
-
class: NETWORK
bus: PCMCIA
detached: 55
device: eth0
driver: airo_cs
desc: "350 Series Wireless LAN Adapter"
vendorId: 015f
deviceId: 000a
function: 0
slot: 1


/etc/sysconfig/network-scripts/ifcfg-lo:
DEVICE=lo
IPADDR=127.0.0.1
NETMASK=255.0.0.0
NETWORK=127.0.0.0
# If you're having problems with gated making 127.0.0.0/8 a martian,
# you can change this to something else (255.255.255.255, for example)
BROADCAST=127.255.255.255
ONBOOT=yes
NAME=loopback


/etc/sysconfig/network-scripts/ifcfg-eth0:
# Intel Corp.|82801CAM (ICH3) PRO/100 VE (LOM) Ethernet Controller
DEVICE=eth0
BOOTPROTO=dhcp
HWADDR=00:D0:59:CA:86:59
ONBOOT=yes
TYPE=Ethernet


/etc/sysconfig/network-scripts/ifcfg-eth1:
DEVICE=eth1
BOOTPROTO=dhcp
ONBOOT=no
TYPE=Ethernet


/etc/sysconfig/network-scripts/ifcfg-wifi0:
DEVICE=wifi0
BOOTPROTO=dhcp
ONBOOT=no
TYPE=Ethernet
Comment 3 Bill Nottingham 2003-09-02 14:20:13 EDT
OK, I believe this was fixed in kudzu right after beta 2. In the meantime,
changing modulos.conf to have 'alias eth0 e100' should work.
Comment 4 David Kaplan 2003-09-03 15:09:35 EDT
I have the same basic problem in redhat 9, but in my case the alias is set
properly in modules.conf  - i.e. it indicates the built-in NIC.  Do I have to
put in an alias for eth1 directed towards the wireless adapter?  I also noticed
that the wireless gets put on the same IRQ as the internal NIC.  Will this get
fixed when I put the appropriate alias in modules.conf or should I block that
IRQ in /etc/pcmcia/config.opts?

Thanks!
Comment 5 Bill Nottingham 2003-09-03 15:14:00 EDT
Hm, the stealing will probably happen under RHL9 no matter what.

As to the IRQ, if you're inserting a cardbus card, that's not a problem.
Comment 6 Jiri Pallich 2012-06-20 09:21:42 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.